                                                                  -*-*- END -*-*-
 2003/03/31 - Daniela Dorner:
 
   * caos/Ring.cc: 
    - fixed a small bug
   
   

 2003/03/12 - Daniela Dorner, Thomas Bretz:

   * MStarguider.[h,cc], Starguider.[h,cc]:
     - removed

   * gui/MGPngReader.[h,cc]:
     - moved code to MGStarguider.[h,cc]
     - removed

   * gui/Makefile, gui/GuiLinkDef.h:
     - updated

   * gui/MGPngReader.cc, gui/MGStarguider.cc, videodev/Writer.[h,cc]:
     - changed output file names to contain mjd
     - fixed a cast warning

   * main/MCosy.[h,cc]:
     - Do not change acceleration and deceleration for positioning
       (SetPosVelocity)
     - some output if WintForEnDMovement aborted
     - some output to correct for the elevation gear asymmetry
     - changed handling of acceleration and velocity
     - changed velocities
     - call StopMovement only if positioning failed
     - changed acceleration/deceleration from 0.9 to 0.2 in
       InitTracking
     - added some workarounds to be able to reach 290deg
     - changed control time in tracking from 1 to 3 sec
     - added a flag to SetPosition indicating tracking mode 
       (not yet used)
     - added some workarounds to be able to track 290deg
     - changed deceleration from 0.5 to 0.3 in StopMovement
     - added StopTracking (not yet used)
     - changed tpoint output (+mjd, +ra/dec)



 2003/03/11 - Daniela Dorner, Thomas Bretz:

   * .cosyrc_magic, .cosyrc_model:
     - added
   
   * caos/Leds.h, caos/Rings.h:
     - changed from operator[] to At()
   
   * caos/Ring.cc:
     - changed Floats to Doubles
    
   * caos/Rings.cc:
     - replaced Expand by Clear

   * base/MStar.h:
     - added Compare
     
   * base/MStarList.cc:
     - some small bugfixes
   
   * base/MStarList.h:
     - added Sort
     - added Expand
     
   * base/timer.[h,cc]:
     - Added GetTimeval

   * gui/MGAccuracy.cc:
     - Exchanged zd/az in calculation of Residual!!!
   
   * gui/MGPngReader.[h,cc]:
     - set default lim mag to 7.0
     - added new ouput for the pointing position fPZdAz
     - added/fixed TrackingError/CalcTrackingError
     - changed Filter2 to CaosFilter
     - reordered starguider stuff in Execute
     - changed color of circles
     
   * main/MBending.[h,cc]:
     - removed MAGIC1 and MAGIC2
     - removed '-' from writing
     - fixed some bugs in the enumerations of the coefficients
     - added some formating option for output

   * tpoint/tpointfit.C:
     - removed usage of MyAdjust
     - fixed the Calculation of the residuals
     - fixed reading
     - added some correction in case of an overflow (360deg/0deg)
     - fixed drawing
     - added second Migrad turn...
     - changed the screen and graphical output
     
   * videodev/CaosFilter.[h,cc]:
     - changed RemoveTwins to accept a radius



 2003/03/02 - Daniela Dorner, Thomas Bretz (LaPalma):

   * tpoint/tpointfit.C:
     - added
   
   * main/MBending.[h,cc]:
     - adapted to Magic bending model

   * candrv/nodedrv.cc:
     - some changes to the output
  
   * candrv/vmodican.cc:
     - minor changes
  
   * devdrv/macs.[h,cc]:
     - implemented 
     - removed guarding
     - removed motor off
    
   * devdrv/shaftencoder.cc:
     - removed Gaurding
     
   * gui/MGEmbeddedCanvas.[h,cc]:
     - added overloads for Resize
   
   * gui/MGSkyPosition.[h,cc]:
     - added SetDotRange

   * gui/MGStarguider.cc:
     - write interpolated pictures
     
   * videodev/PngReader.cc:
     - removed unused variable
     
   * videodev/Writer.cc:
     - added warning if file couldn't be opened

   * videodev/CaosFilter.[h,cc], videodev/PngReader.[h,cc]:
     - added

   * catalog/StarCatalog.[h,cc]:
     - added GetPixSize

   * main/MCosy.cc:
     - some minor change sto the output

  * Makefile: 
     - removed dummy
     - exchnged caos, candrv
     - removed MCint.o
     - added cosy.so
 
   * starg.cc:
     - echanged to use png reading mode
   
   * caos/Led.[h,cc], caos/Leds.[h,cc], caos/Ring.[h,cc], 
     caos/Ring.[h,cc]:
     - added Print

   * caos/Led.h:
     - added compare
     - added issortable

   * caos/Ring.cc:
     - changed output

   * caos/Rings.cc:
     - fixed some minor bugs

   * gui/GuiLinkDef.h, gui/Makefile;
     - added MGPngReader.[h,cc]

   * gui/MGPngReader.[h,cc]:
     - added
     
   * gui/MGStarguider.cc:
     - release grabbed mouse
     - removed ExitLoop
     
   * gui/MGStarguider.h:
     - changed derivement from Camera to PixClient

   * videodev/Camera.[h,cc]:
     - changed to use PixClient
   
   * videodev/Makefile, videodev/VideodevLinkDef.h:
     - added PixClient

   * videodev/PixClient.[h,cc]
     - added 



 2003/02/27 - Thomas Bretz (LaPalma):

   * caos, caos/Makefile, caos/CaosLinKDef.h, caos/CaosIncl.h, 
     caos/Led.[h,cc], caos/Leds.[h,cc], caos/Ring.[h,cc], 
     caos/Rings.[h,cc], gui/MGMenu.[h,cc]:
     - added



 2003/02/25 - Thomas Bretz (La Palma):

   * Makefile
     - changed order of binaries
     - added make links
     - added make magic
     - added make model
   
   * base/timer.cc:
     - corrected calculation of fMs (/1000 missing)
   
   * gui/MGCosy.cc:
     - added new tab Gear
     
   * gui/MGSkyPosition.[h,cc]:
     - fixed memory leak by not changing positions or having object
       outside
     - removed fake-statics
   
   * main/MCosy.[h,cc]:
     - adapted GetSePos to present shaftencoders
     - changed speed to 0.15 and acc to 0.4 in positioning
     - changed tracking cycle from 0.05s to 0.25s
     - added WM_GEAR
     - added WM_DISPLAY
     - fixed displaying the SE offsets
     - added TalkThreadGear
     - changed DisplayHistTestSe
     - added DisplayHistGear
     - added check for second Zd-SE
     - removed lout.SetOutputGui(NULL, kFALSE) because it crashes
       when closing the spplication while tracking



 2003/02/21 - Thomas Bretz (La Palma):

   * gui/MGSkyPosition.[h,cc]:
     - some changes trying to get rid of a strange memory leak

   * candrv/nodedrv.cc:
     - changed output

   * catalog/Slalib.h:
     - added Hms2DegRad and Dms2Rad



 2003/02/16 - Thomas Bretz (La Palma):

   * base/MStarList.h:
     - added default for mag to Add

   * base/coord.h:
     - replaced kRadDeg by including MAGIC.h
   
   * base/timer.[h,cc]:
     - changed Now to call virtual function SetMjd

   * gui/MGAccuracy.cc:
     - fixed a bug causing the display to display error%60
   
   * gui/MGCosy.[h,cc]:
     - added combo box for predifed positions
     - update display of time only when time changed

   * gui/MGSkyPosition.[h,cc]:
     - added bright stars
     
   * main/MCosy.[h,cc]:
     - some changes to output
     - replaced HasZombie by a preliminary one
     - changed dT to 3s
     - removed time correction factor in Tracking algorithm
     - PRELIMINARY TalkThreadTracking



 2003/02/14 - Thomas Bretz (La Palma):
 
   * .cosyrc:
     - added prototypes for the telescope allowed range
   
   * Makefile:
     - changed test to testse
   
   * candrv/vmodican.cc:
     - added the possibility to start cosy without the CANbus card
       installed
   
   * catalog/SlaPlanets.cc:
     - fixed the ephemeris configuration
   
   * catalog/SlaStars.cc:
     - added some more comments
   
   * catalog/Slalib.[h,cc]:
     - changed Wuerzburg location to LaPalma location
     - added Height to the data members
   
   * main/MCosy.[h,cc]:
     - added range checks in positioning and tracking
   
   * slalib/Makefile:
     - added rdplan
     - added pvobs
     - added dtt
     - added dat
     - added rcc

   * starg.cc, catalog/SlaStars.[h,cc], catalog/Slalib.[h,cc],
     catalog/StarCatalog.[h,cc], devdrv/macs.cc, devdrv/shaftencoder.cc,
     gui/MGCosy.[h,cc], gui/MGSkyPosition.[h,cc], gui/MGStarguider.[h,cc]:
     - changed to use MObservatory
     - changed usage of timer to new style
   
   * catalog/SlaPlanets.[h,cc]:
     - removed old style calculation
     - added fTt

   * gui/MGCosy.cc:
     - added new tab for SE Test

   * main/MCosy.[h,cc]:
     - don't use second SE when only one is attached
     - added SE Test stuff

   * base/BaseLinkDef.h, base/Makefile:
     - added MParContainer
     - added MObservatory

   * base/timer.[h,cc]:
     - changed the calculation of the date according to slalib


     
 2003/01/23 - Thomas Bretz:
 
   * .cosyrc:
     - changed maximum time to reach home from 100 to 150
  
   * Makefile:
     - added devdrv
  
   * Makefile.rules, candrv/Makefile, devdrv/Makefile:
     - changed some ordering
  
   * devdrv/shaftencoder.cc:
     - changed Guarding from 2x125 to 2x175
  
   * main/MCosy.cc:
     - fixed StopWaitingForSDO bug (if this was raised once the
       'shutdown' never waited correctly for an SDo anymore)
     - fixed the usage of the bending correction in some places

   * testse.cc:
     - added


 2003/01/23 - Thomas Bretz:
 
   * cosy.cc:
     - changed baudrate to 125kbps
   
   * base/msgqueue.cc:
     - changed output
     - ignore pending messages
   
   * candrv/canopen.[h,cc]:
     - added Emergency Message
     - added EnableNodeguard
     - added SendNodeguard
     
   * candrv/network.[h,cc]:
     - call handles only if Fnodes[node]!=NULL
     - added time to HandleSDOOK
     - changed output
     - added HandleNodeguard
     - added HandleEmergency

   * candrv/nodedrv.[h,cc]:
     - added fTimeout for Nodeguarding
     - Enable Nodeguard and Emergency messages
     - added time to HandleSDOOK
     - added SendNodeguard
     - added StartGuarding
     - added StopGuarding
     - added HandleTimer
     - added HandleNodeguard
     - added SetZombie

   * candrv/vmodican.[h,cc]:
     - fixed a typo
     - added rtr to SendCanFrame
   
   * devdrv/macs.[h,cc]:
     - removed guarding stuff (moved to nodedrv)
     - changed 0x4000 handling to 0.63 style
     - added check for software version
     - added time to HandleSDOOk
     - set node to Zombie in case of error
     - don't do any error handling for the moment
     - removed ReqTimeoutTime
     - overload SendNodeguard
     - removed EnableTimeout
     - removed HandleTimer
     - removed ResetTimeout
     - added Start/StopHostGuarding

   * devdrv/shaftencoder.[h,cc]:
     - added 0x100c, 0x100d, 0x100e
     - added Start/StopGuarding to Init

   * gui/MGCosy.cc:
     - enhanced labels for Offset
     - changed 'soll' to 'nominal'
     - changed the demo mode for tests
   
   * gui/MGSkyPosition.[h,cc]:
     - added saturn
     - changed the colors a bit



 2003/01/20 - Thomas Bretz:

   * aposs/Manual.m
     - added support for the elevation axis brake 
     - enabled check for operation mode (remote control/pc)      
     - added 'reset' label                                       
     - moved syncv/cstart to setting rf                          



 2003/01/14 - Thomas Bretz:

   * cosy.cc:
     - added output
   
   * candrv/network.[cc,h]:
     - small change to Start
     - added CheckConnections

   * candrv/nodedrv.[h,cc]:
     - new Init
     - new CheckConnections
     - replaced virtual InitDevice by a common function
     - replaced virtual Reboot by a common function
     - Don't send anything to a Zombie node
     - Delete SDO from list in case of Zombie status instead of waiting
     
   * candrv/vmodican.cc:
     - Don't terminate when having a noisy network 
   
   * devdrv/macs.[h,cc], devdrv/shaftencoder.[h,cc]:
     - added fSoftVersion
     - added SDO 0x100b
     - moved init stuff from InitDevice to Init
     - removed InitDevice and Reboot
     - added CheckConnection

   * devdrv/shaftencoder.[h,cc]:
     - Don't display something when having Zombie status
   
   * main/MCosy.[h,cc]:
     - reworked all Zombie-stuff
     - implemented checking of network



 2003/01/13 - Thomas Bretz:

   * bending.txt:
     - changed to fit the parameters of the model
     
   * cosy.cc:
     - made the 'standard mode' the default

   * base/MTimeout.h:
     - fixed the change of the base member function name of Notify

   * candrv/network.[h,cc]:
     - don't set fNodes[i] to NULL if Node is Zombie
     - implemented HasZombie and RebootZomies
     
   * candrv/nodedrv.[h,cc]:
     - implemented a base function Reboot
     - set node to Zombie status if waitforsdo timed out

   * candrv/vmodican.cc:
     - added more precise output for CTXcon
   
   * devdrv/macs.[h,cc]:
     - if first waitforsdo fails set don't go on
     - implemented fStatus
     - implemented enum for fStatus

   * gui/MGAccuracy.cc, gui/MGSkyPosition.cc, gui/MGVelocity.cc:
     - call SetNoContextMenu in constructor
     
   * gui/MGCosy.[h,cc]:
     - some new labels
     - implemented SetLabelColor
     
   * gui/MGEmbeddedCanvas.[h,cc]:
     - implemented SetNoContextMenu

   * main/MCosy.cc:
     - exchanged all conditionals for the pointers to the nodes
       by IsZombieNode
     - implemented check for zombies in Proc



 2003/01/10 - Thomas Bretz:

   * candrv/network.cc, devdrv/macs.cc, devdrv/shaftencoder.cc:
     - changed output
   
   * devdrv/macs.[h,cc]:
     - request encoder resolution when starting
   
   * devdrv/shaftencoder.cc:
     - some fixed in HandleSDO output
     - fixed a missing return in HandleSDO
   
   * gui/MGAccuracy.cc, gui/MGVelocity.cc:
     - set label offset

   * gui/MGCosy.[h,cc]:
     - added some new gui elements and its handling

   * main/MCosy.[h,cc]:
     - impemented fZdAzSoll
     - slight changes to the output
     - implemented WM_HOME
     - fixed workaround for the encoder resolutions of the MACS

   * base/MGLIst.h
     - removed (use the one from Mars)



 2003/01/08 - Thomas Bretz:
 
   * bending.txt:
     - added (preliminary)

   * .cosyrc:
     - added
	> Az_GearRatio[U_mot/U_tel]: 5891.7
	> Zd_GearRatio[U_mot/U_tel]: 2475.6
	> Az_ResRE[re/U_mot]: 500
	> Zd_ResRE[re/U_mot]: 500
	> Az_Id-MAC1: 1
	> Az_Id-MAC2: 3
	> Zd_Id-MAC:  2
	> Zd_Id-MAC1: 4
	> Zd_Id-MAC2: 5
	> Az_Id-MAC:  6

   * Makefile:
     - removed cosy.so

   * Makefile.conf.linux-gnu:
     - removed optimization (causes problems) --> TO BE FIXED

   * candrv/canopen.h:
     - added return value to WaitForSDO

   * devdrv/macs.cc:
     - fixed a typo

   * gui/MGCosy.cc:
     - added 'Reset Bending'

   * main/MBending.[h,cc]
     - added Reset
     - fixed a problem with the units in the correction
     - added CorrectBack functions

   * main/MCosy.[h,cc]:
     - changed the bahaviour in case no MAC3 is found
     - fixed that the MAC3 didn't synchronize anymore
     - added the bending correction to the displayed position
     - added a workaround for the wrong (0) Gear Ratios --> TO BE FIXED
     - added Reset Bending
     - changed the MAC and SE Id to be a resource value (from .cosyrc)



 2002/12/18 - Thomas Bretz (LaPalma):

   * Makefile:
     - added cosy.so
   
   * base/BaseLinkDef.h, base/Makefile:
     - added MGList

   * catalog/SlaStars.cc:
     - changed temperature to 20degC
     - changed wavelength to 0.55
     
   * main/MCosy.[h,cc]:
     - added correct gear ratio for magic
     - added support for mode in which not all clients are available
     - added demo and shaftencoder mode
     - added support for the bending correction
     - removed support for 'the shortest distance' when positioning

   * videodev/Makefile, videodev/VideodevLinkDef.:
     - added Filter2 for Starguider

   * base/MStarList.[h,cc], base/MStar.[h,cc], main/MBending.[h,cc]:
     - added
 
   * starg.cc:
     - slight changes to get rid of the segfault when program ends

   * base/MGList.h:
     - changed from TOrdCollection to TList
     - added some debug stuff

   * candrv/network.cc:
     - added 'Zombie' support
   
   * candrv/nodedrv.[h,cc]:
     - added WaitForSDO return type
     - added 'Zombie' support
   
   * devdrv/macs.[h,cc]:
     - added 0x6501, econder resolution

   * devdrv/shaftencoder.[h,cc]:
     - added 'Zombie' support
     - added data member for phys resolution
 
   * gui/MGCosy.cc:
     - added SetAspect-stuff
 
   * gui/MGEmbeddedCanvas.cc:
     - removed debugging output
 
   * gui/MGImage.[h,cc]:
     - changed update not to produce X11 Asyn Errors
 
   * gui/MGSkyPosition.[h,cc], gui/MGVelocity.cc:
     - removed some wrong floor-calls
 
   * gui/MGStarguider.[h,cc]:
     - added better support for camera display update
   
   * macros/rootlogon.C:
     - added paths



 2002/11/12 - Thomas Bretz (LaPalma):

    * aposs/Manual.m:
      - fixed a bug which caused the drive to shake in case is was
        switched on again after an emergency switch off


 
 2002/09/24 - Thomas Bretz (LaPalma):

    * Starguider.[h,cc]:
      - added some new menu options
 
    * cosy.cc:
      - added the mode switch
      - tried to get rid of the seg-fault at the end of the program.

    * base/BaseLinkDef.h:
      - aded MStar

    * base/Makefile:
      - added MStar.cc
      - added MStarList.cc

    * base/coord.h:
      - added <<-/>>-operators for the coordinates

    * base/timer.h:
      - added getters for d/m/y

    * catalog/StarCatalog.[h,cc]:
      - added some consts
      - implemented MStarList-usage
   
    * devdrv/shaftencoder.cc:
      - fixed segfaults triing to display values on non existing labels

    * gui/MGCoordinate.[h,cc]:
      - fixed a problem typing in negative coordinates<1

    * MCosy.[h,c]:
      - deleted

    * gui/MGCosy.[h,cc]:
      - added many new options
      - added time display

    * gui/MGStarguider.[h,cc]:
      - added many new options

    * main/MainLinkDef.h, main/Makefile:
      - added MBending
 
    * main/MBending.[h,cc]:
      - added

    * videodev/Camera.cc:
      - added some debugging output

    * videodev/Filter.cc:
      - changed filter cut from 3.0 to 2.5



 2002/07/10 - Thomas Bretz:

   * base/coord.h:
     - added some member functions

   * main/MBending.[h,cc]:
     - added



 2002/06/03 - Thomas Bretz:

   * gui/MGImage.cc:
     - fixed a bug in the destructor while freeing fBuffer



 2002/04/12 - Thomas Bretz:

   * Makefile.conf.linux-gnu:
     - added -D_REENTRANT

   * base/MThread.cc:
     - added debug output

   * candrv/canopen.cc:
     - added debug output to destructor

   * candrv/vmodican.cc:
     - added debug output to failing read
     - added some general debug output

   * catalog/SlaStars.[h,cc]:
     - added CalcRaDecFast
     - added Calc*AzFast
     - added some comments

   * devdrv/macs.cc:
     - added some HandleSDOOK output
     - changed timer frequency to Guard Time third instead of half
     - added some degub output
     - changed timer to single shot timer
     - switched off Mac timeout handling!!!

   * gui/MGCosy.cc:
     - added demo mode for 'Tag-der-Physik'

   * gui/MGSkyPosition.cc:
     - changed 'dots' to fast calculation functions

   * gui/MGEmbeddedCanvas.cc:
     - added some output
     - fixed a bug with zero range

   * main/MCosy.[h,cc]:
     - added and changed some output
     - changed LimitSpeed
     - changed TalkThread
       + only change offset when a new value for this axis is available
       + reset the HasChanged flag before testing it



 2002/04/11 - Thomas Bretz:
 
   * base/MThread.[h,cc]:
     - added priority to constructor

   * base/coord.h:
     - added setter functions to RaDec

   * base/msgqueue.[h,cc]:
     - added some comments

   * candrv/network.cc:
     - HasError now checks all nodes

   * candrv/nodedrv.[h,cc]:
     - fixed some buggy output

   * candrv/vmodican.cc:
     - removed nonsens SetPriority (doesn't have any effect)

   * gui/MGCosy.cc:
     - replaced colors by the correct requested colors

   * gui/MGSkyPosition.[h,cc]:
     - added dots for the position in the past and future



 2002/04/04 - Thomas Bretz:
 
   * cosy.cc:
     - redirected logging output also to screen

   * base/msgqueue.cc:
     - qualified void-pointer in delete-statements

   * candrv/canopen.cc, candrv/vmodican.cc, candrv/network.cc:
     - added some more output

   * candrv/vmodican.cc:
     - added a more informative ouput in case of open fails and exit

   * videodev/Camera.cc:
     - qualified return value of mmap



 2001/12/21 - Thomas Bretz:
 
   * candrv/*.cc:
     - added comments

   * candrv/*.[cc,h], devdrv/*.[cc,h]:
     - replaced struct timeval by timeval_t

   * .rootrc:
     - added
     
   * Makefile:
     - changed to create a shared object (for html docu)
   
   * macros/dohtml.C:
     - added
     
   * macros/rootlogon.C:
     - added
   
   * subdir lib:
     - added



 2001/12/12 - Thomas Bretz:
 
   * base/coord.h:
     - added constants for unit transformations
  
   * base/msgqueue.h:
     - replaced pthread.h by thread.h

   * base/timer.h:
     - removed unistd.h
     - added forward declaration for timeval

   * candrv/CandrvLinkDef.h:
     - added VmodIcan
     - added CanOpen
     - added Network
     - added NodeDrv
     - added PendingSDO
     - added PendingSDOList
  
   * candrv/nodedrv.h, candrv/sdolist.h, candrv/vmodican.h,
     videodev/Camera.h, videodev/Writer.h:
     - added ClassDef
     - added some declarations for __CINT__ case

   * base/MThread.h:
     - added some declarations for __CINT__ case

   * base/threads.h:
     - added

   * catalog/CatalogLinkDef.h:
     - added Slalib+
     - added SlaStars+
     - added SlaPlanets+
     - added SaoFile+
     - added StarCatalog+

   * catalog/SlaStars.h:
     - added ClassDef
     - included coord.h for coordation tranformations

   * catalog/SlaStars.cc, catalog/Slalib.cc, gui/MGSkyPosition.cc:
     - added ClassImp
     - changed slalib macros to coord.h constants
  
   * catalog/StarCatalog.h:
     - added ClassDef
     - changed slalib macros to coord.h constants

   * devdrv/DevdrvLinkDef.h:
     - added Macs+;
     - added ShaftEncoder+;

   * gui/GuiIncl.h:
     - added coord.h
  
   * gui/GuiLinkDef.h:
     - added MGAccuracy+;
     - added MGCoordinate+;
     - added MGCoordinates+;
     - added MGEmbeddedCanvas+;
     - added MGImage+;
     - added MGSkyPosition+;
     - added MGVelocity+;
     - added MGCosy+;
     - added MGStarguider+;

   * gui/MGCoordinate.[h,cc]:
     - changed Flist to pointer type

   * gui/MGCosy.cc:
     - added ClassImp
     - fixed a bug which causes 'Exit' not to work
     - changed slalib macros to coord.h constants

   * gui/MGCosy.h:
     - added ClassDef
  
   * gui/MGEmbeddedCanvas.h:
     - added ClassImp
     - removed consts
  
   * gui/MGStarguider.[h,cc]:
     - added ClassImp/Def
     - change fList to pointer type
     - change fRaDec to pinter type
     - changed fSao to pointer type

   * main/MCosy.[h,cc]:
     - added ClassImp
     - changed order
     - added comments
     - changed slalib macros to coord.h constants
     - changed defines to enums
  
   * main/MainCint.h:
     - removed
  
   * main/MainLinkDef.h:
     - added MCosy

   * devdrv/Makefile, candrv/Makefile, catalog/Makefile, gui/Makefile,
     main/Makefile, videodev/Makefile:
     - added CINTHEADERS

   * candrv/canopen.cc, candrv/network.cc,candrv/nodedrv.cc, candrv/sdolist.cc
     candrv/vmodican.cc, catalog/SaoFile.cc, catalog/SlaPlanets.cc,
     catalog/StarCatalog.cc, devdrv/macs.cc, devdrv/shaftencoder.cc,
     gui/MGAccuracy.cc, gui/MGCoordinate.cc, gui/MGCoordinates.cc,
     gui/MGEmbeddedCanvas.cc, gui/MGImage.cc, gui/MGVelocity.cc,
     videodev/Camera.cc, videodev/Filter.cc, videodev/Writer.cc:
     - added ClassImp

   * candrv/network.h, catalog/SaoFile.h, catalog/SlaPlanets.h,
     catalog/Slalib.h, devdrv/macs.h, devdrv/shaftencoder.h,
     gui/MGAccuracy.h, gui/MGCoordinate.h, gui/MGCoordinates.h,
     gui/MGImage.h, gui/MGSkyPosition.h, gui/MGVelocity.h,
     videodev/Filter.h:
     - added ClassDef

   * videodev/VideodevLinkDef.h:
     - added Writer+;
     - added Filter+;
     - added Camera+;



 2001/09/10 - Thomas Bretz:
 
   * base/timer.[h,cc]:
     - added dome comments
     
   * candrv/canopen.[cc,h]:
     - added boolean in SendSDO to suppress occurance in SDO list
     
   * candrv/nodedrv.[h,cc]:
     - added Names for Node
     - added boolean in SendSDO to suppress occurance in SDO list
     
   * devdrv/macs.[h,cc]:
     - changed GetId() to GetNodeName() in logging output
     - made timeout timer periodic again
     - added timeout for Mac response (added SDOOK)
     - added Name for Node
     
   * devdrv/shaftencoder.[h,cc]:
     - changed GetId() to GetNodeName() in logging output
     - added Name for Node
     
   * main/MCosy.[h,cc]:
     - renamed fAlt1 to fZd1
     - renamed fAlt2 to fZd2



 2001/09/07 - Thomas Bretz:
 
   * aposs/Magic.m:
     - implemented timeout if cosy crashes
     
   * candrv/nodedrv.[h,cc]:
     - Changed ms in WaitForSDO to signed
     
   * devdrv/macs.[h,cc]:
     - added 'case 0x4000'
     - added SetTimeout
     - added ReqTimeout
     - added EnableTimeout
     - added disabling Timeout to Init
     - changed all upper case 'strings' to lower case
     - added HandleTimer

   * main/MCosy.cc:
     - added enableing timeout for Mac1, Mac2


     
 2001/09/06 - Thomas Bretz:

   * MCosy.[cc,h]
     - moved to main
     - moved logging files to log dir
     
   * MStarguider.[h,cc]
     - moved to main
   
   * Starguider.[h,cc]:
     - renamed to MGStarguider.[h,cc]
     - moved to gui dir
     
   * cosy.cc:
     - moved logging file to log dir
     
   * starg.cc:
     - removed InitGui stuff



 2001/08/30 - Thomas Bretz:
 
   * MCosy.[h,cc]
     - fixed some small bugs in tracking and positioning
     - reorganized StopMovement and CheckForError
     - added code into LimitSpeed
     - added cosy.err
     - rewrote MTTalk not to ba detached
     - reorganized the code of MTTalk
     - added StopMovement, WaitForEndMovement and IsPositioning
     
   * Starguider.cc:
     - ready for new MGCoordinates-Constructor
     
   * base/coord.h:
     - added pre-'-' operator
     
   * devdrv/shaftencoder.[h,cc]:
     - introduced an HasChanged - flag
     
   * gui/MGAccuracy.cc:
     - replaced floats by doubles in accuracy calculation,
       gave wrong values
       
   * gui/MGCoordinate.[h,cc]:
     - made a bit wider
     - added support for hms-system
     
   * gui/MGCoordinates.[h,cc]:
     - changed to use two fixed systems RaDec (hms), ZdAz(dms)
     
   * gui/MGCosy.cc:
     - added new MGCoordinates
     - moved two MGCoordinates to CreateTabs
     - renamed CreateButton to CreateTabs
     - made MGCoordinates a Client of the two Tabs
     - transform Ra of RaDec MGCoordinates to Degrees.
     - Introduced StartPos, StartTrack
     
   * gui/MGVelocity.cc:
     - added displaying values of speed


     
 2001/08/29 - Thomas Bretz:

   * base/BaseLinkDef.h, base/BaseIncl.h, 
     candrv/CandrvIncl.h, candrv/CandrvLinkDef.h,
     catalog/CatalogLinkDef.h, catalog/CatalogIncl.h,
     devdrv/DevdrvIncl.h, devdrv/DevdrvLinkDef.h,
     gui/GuiLinkDef.h, gui/GuiIncl.h,
     slalib/SlalibIncl.h, slalib/SlalibLinkDef.h,
     videodev/VideodevLinkDef.h, videodev/VideodevIncl.h:
     - added
     
   * Makefile.rules:
     - added CINTHEADERS
     
   * cosy.cc:
     - changed logging to MLog
     
   * base/Makefile:
     - added MLog and MLogManip
     
   * base/log.h, candrv/canopen.[h,cc], candrv/network.[h,cc],
     candrv/nodedrv.[h,cc], candrv/vmodican.[h,cc],
     devdrv/macs.[h,cc]
     - changed from ostream to MLog
     
   * devdrv/shaftencoder.[h,cc]
     - changed from ostream to MLog
     - changed buffering of values 
     - removed old updating thread stuff
     
   * catalog/SlaStars.[h,cc]:
     - added GetApproxVel
     
   * gui/MGAccuracy.cc:
     - fixed the wrong deg2rad value
     - added more accurate calculation of one dimensional
       tracking error value
     
   * MGCosy.[h,cc]:
     - added a TGListBox
     - added some Labels to display offset as value
     - removed offset display
     - changed layout of dialog
     - added layout manager
     - added status frame
     - added tabs
     - added status display and update
     
   * gui/MGEmbeddedCanvas.cc:
     - removed raised frame around embedded canvas
     - enhanced size by 1
     
   * gui/MGSkyPosition.cc:
     - a new position checks now for a new angle, too
     - removed debugging output
     
   * slalib/Makefile:
     - added altaz.c
 
   * MCosy.[cc,h]:
     - added fStatus support and update
     - added some new function to outsource some code from 
       positioning and tracking algorithms
     - TerminateApp now sends WM_QUIT
     - removed comments with old GUI thread
     - added a missing bracket, which prevents us from stopping
       a positioning command
     - changed some output from cout to lout
     - added empty prototype to Limit speed in tracking mode
     - changed constructor to use of MLog

   * base/MGList.h:
     - added DBG_MGLIST for debugging
     
   * gui/MGCoordinate.cc:
     - removed logging statement from destructor
     
   * gui/MGVelocity.cc:
     - the factor 4 is now applied outside of the dialog.



 2001/08/23 - Thomas Bretz:

   * gui/MGEmbeddedCanvas.[h,cc]:
     - added
     
   * gui/MGVelocity.[h,cc]:
     - added
     
   * MCosy.[h,cc]:
     - added GetRePosPdo
     - changed fOffset to an offset between the se and re system
     - changed old fOffset to fTrackingError which gives you a good
       estimate what the tracking error really is
     - changed the weighting of fOffset from 0.1 to 0.3
     - reordered some statements for a better overview
     - changed update of GUI from thread to a timer (s.HandleTimer)

   * Makefile:
     - added libpthread.a
     - reordered libraries
     
   * gui/MGAccuracy.[h,cc]:
     - changed the layout
     - make use of TGaxis
     - added the numbers as text into canvas
     - added a title
     - derived from MEmbeddedCanvas
     
   * gui/MGCosy.[h,cc]:
     - changed layout
     - added canvas for velocity
     - added canvas for offset
     
   * gui/MGSkyPosition.[h,cc]:
     - added position as text
     - added axis labels
     - derived from MEmbeddedCanvas
     - reorganized parts of the existing code



 2001/08/17 - Thomas Bretz:

    * Added:
      - catalog/SlaStars.cc
      - catalog/SlaStars.h
      - catalog/SlaPlanets.cc
      - catalog/SlaPlanets.h
      - gui/MGAccuracy.cc
      - gui/MGAccuracy.h

    * MCosy.[h,cc]:
      - removed dependance from MGSkyPosition
      - changed Timer function names
      - moved timer calls into Slalib calls
      - changed Slalib to SlaStars
      - added fAccuracy
      - added accuracy display to MTGui
    
    * Makefile:  
      - changed order of libraries
    
    * Starguider.cc:
      - changed Timer function names
    
    * base/timer.[h,cc]
      - changed GetTime -> Now
      - changed GetMjd  -> CalcMjd
    
    * catalog/Makefile:
      - added new file SlaStars.cc
      - added new file SlaPlanets.cc
    
    * catalog/Slalib.[h,cc]:
      - moved star dependent functions to derived class SlaStars
      - changed name of Set to SetMjd
      - made SetMjd virtual
      - derives from Timer now
      - added conversion function for XYZ->ZdAz
    
    * catalog/StarCatalog.cc:
      - moved timer calls into Slalib calls
      - changed Slalib to SlaStars

    * devdrv/macs.cc:
      - changed names of timer function calls

    * devdrv/shaftencoder.cc:
      - changed names of timer function calls
      - changed some cout's to lout's
    
    * gui/MGCosy.[h,cc]:
      - added fAccuracy
      - moved timer calls into Slalib calls
      - changed Slalib to SlaStars
    
    * gui/MGSkyPosition.[h,cc]:
      - added display of planet positions

    * slalib/Makefile:
      - added missing files



 2001/08/15 - Thomas Bretz:

    * Added:
      - Makefile.conf.general
      - gui/Makefile
      - base/Makefile
      - candrv/Makefile
      - catalog/Makefile
      - slalib/Makefile
      - videodev/Makefile
      - devdrv/Makefile
      - base/MThread.[h,cc]
      - base/MTimeout.[h, cc]
      - mgui/MGSkyPosition.[h, cc]
      - catalog/Slalib.[h,cc]
     
    * .cosyrc:
      - changed names
      - added HomeTime
   
    * MCosy.[h,cc]:
      - added home time
      - added MTGui, MTTalk
      - added reading environment
   
    * Makefile, Makefile.conf.linux-gnu, Makefile.rules
      - changed to Mars style
   
    * Starguider.cc:
      - changed include timer.g to base/timer.h
   
    * Starguider.[h,cc]:
      - renamed Execute to ProcessFrame
 
    * cosy.cc:
      - removed unnecessary includes
   
    * base/MGList.h:
      - added debug output
   
    * base/msgqueue.cc:
      - added comments
   
    * base/msgqueue.h:
      - made Break const
   
    * candrv/canopen.[h,cc]:
      - made CobId const
   
    * candrv/network.[h,cc]:
      - fixed typo
      - StopReceiver -> VmodIcan::Stop
      - made HasError const
   
    * candrv/nodedrv.[h,cc]:
      - added timeout to WaitForSdo
   
    * candrv/sdolist.[h,cc]:
      - made IsPending const
     
    * candrv/vmodican.[h,cc]:
      - changed ReceiveThread to new stylish MThread
   
    * devdrv/macs.[h,cc]:
      - changed SetHome to use a maximum positioning time
      - added comments
      - replaces SetSyncMode by StartPosSync and StartVelSync

    * devdrv/shaftencoder.[h,cc]:
      - removed gui thread (the update is done by MTGui now)
   
    * gui/MGCosy.[h,cc]:
      - some small changed
      - removed fList->Delete()
      - added MSkyPosition-Object
      - gSystem->ExitLoop() replaced by gSystem->Terminate(0)
   
    * videodev/Camera.[h,cc]:
      - renamed Execute to ProcessFrame


   
 2001/05/25 - Thomas Bretz:
 
    * .cosyrc:
      - added
      
    * MCosy.[h,cc]:
      - changed the error handling os SetPosition
      - added resources from environment-file '.cosyrc'
      - added WM_WAIT
      - added support for Mac3 (Synchronisation)
      - added software endswitch
      
    * macs.[h,cc]:
      - emhanced error handling
      - added sync support
      
    * timer.h:
      - H(), M(), S() added
      
    * network.[h,cc]:
      - HasError() added

    * nodedrv.[h,cc]:
      - error flag handling added
      
    * Magic.m:
      - new version 0.62
      - enhanced error handling
      - sync support
      
    * Starcatalog.[h,cc], Camera.cc, Filter.[h,cc], Writer.[h,cc], 
      MGImage.[h,cc]:
      - changed type of image from char* to byte*
      
    * MGCoordinate.[h,cc]:
      - changed typed from UInt_t to Int_t
    
 
 2001/04/10 - Thomas Bretz:

    * Starguide.[h,cc]:
      - added limiting magnitude to menu

    * catalog/StarCatalog.cc, catalog/SaoFile.cc:
      - exit if file cannot be opened

    * catalog/File.[h,cc]:
      - added !-operator
      - warning output in case of a file which could not be opened


 2001/04/09 - Thomas Bretz:

    * First checkin
